logtalk_backend_select(1)

NAME
logtalk_backend_select - Logtalk script for defining an alias, logtalk, to a chosen backend Prolog integration script

SYNOPSIS
logtalk_backend_select -v
logtalk_backend_select -l
logtalk_backend_select -s
logtalk_backend_select -r
logtalk_backend_select integration-script
logtalk_backend_select -h

DESCRIPTION
logtalk_backend_select is a Logtalk script script for defining an alias, logtalk, to a chosen backend Prolog integration script. The alias is created in same directory where the *lgt integration scripts are found.

OPTIONS

-v  Print script version.

-l  List available Prolog integration scripts.

-s  Show the currently selected Prolog integration script.

-r  Remove the logtalk alias.

-h  Provide help on script usage.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), logtalk_version_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2021 Paulo Moura.